on:
  push:
    tags:
      - v*

permissions:
  pull-requests: write

name: Build and deploy the backend to production

jobs:
  build-and-push:
    name: Build and push image
    uses: ./.gitea/workflows/workflow_build-image.yaml
    with:
      # sets the tag to the git tag that triggered the workflow - the deployment (configured in a separate repository) will use this tag and be deployed to production by argocd
      tag: ${{ github.ref_name }}
    secrets:
      PACKAGE_REGISTRY_ACCESS: ${{ secrets.PACKAGE_REGISTRY_ACCESS }}
